Subject: Re: [Int-area] Side meeting follow-up: What exact features do we want from the Internet?

From: "Templin (US), Fred L" <[email-masked]>
Date: Wed, 8 Dec 2021 19:52:58 +0000

Joe, RFC3819, Section 2 in particular gives BCPs for setting link MTUs. By my read, the
only links that would set an MTU smaller than 576 should therefore only occur at the
network edges; not somewhere in the middle of the network. And, any NATs that
connect edge networks would have Internet-facing interface MTUs of 576 or larger.

So, the only bad case really is for a source located behind a link with an MTU smaller
than 576, with the resulting fragments then going to the first-hop NAT, and that NAT
*does not* reassemble before forwarding to the Internet. Do you know of any NATs
that are like that?

BTW, working in the aviation and defense industries I know of some pretty low-end
links and I'm sure you do too.

Fred

---

From: "[email-masked]" <[email-masked]>
Date: Wed, 8 Dec 2021 12:11:29 -0800

Hi, Fred,

> On Dec 8, 2021, at 11:52 AM, Templin (US), Fred L <[email-masked]> wrote:
> 
> Joe, RFC3819, Section 2 in particular gives BCPs for setting link MTUs.

NATs and tunnels don’t have control over the link MTUs over which they operate; the user doesn’t have control over how those are composed or interact.

> By my read, the
> network edges; not somewhere in the middle of the network.

Tunnels create an tunnel MTU (which is the link MTU, thinking of the tunnel as a link) by fragmenting at the ingress and reassembling at the egress.

That happens anywhere in the network. While it PRESENTS an effective MTU of the tunnel as a link, it doesn’t operate as if it avoids fragmentation.

Joe

---

From: "Templin (US), Fred L" <[email-masked]>
Date: Wed, 8 Dec 2021 20:39:39 +0000

Joe, I am having a hard time seeing your response as anything other than a
non-answer to my question.

Fred

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Wednesday, December 08, 2021 12:11 PM
> To: Templin (US), Fred L <[email-masked]>
> Cc: Dino Farinacci <[email-masked]>; [email-masked]
> Subject: Re: [Int-area] Side meeting follow-up: What exact features do we want from the Internet?
> 
> Hi, Fred,
>

---

From: "[email-masked]" <[email-masked]>
Date: Wed, 8 Dec 2021 13:02:41 -0800

Not sure why - you asked, AFIACT, how BCPs for link design affect things that don’t design links (NATs).

I confirmed that they don’t.

Was there a different question?

Joe
—
Joe Touch, temporal epistemologist
www.strayalpha.com

> On Dec 8, 2021, at 12:39 PM, Templin (US), Fred L <[email-masked]> wrote:
>